<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Good Plugins 1.0 Plugins Reference Manual: shout2send</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Good Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-plugins-good Elements">
<link rel="prev" href="gst-plugins-good-plugins-shapewipe.html" title="shapewipe">
<link rel="next" href="gst-plugins-good-plugins-smpte.html" title="smpte">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-shout2send.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-shout2send.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-shout2send.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-shout2send.properties" class="shortcut">Properties</a></span><span id="nav_signals"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-shout2send.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-good-plugins-shapewipe.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-good-plugins-smpte.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-good-plugins-shout2send"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-good-plugins-shout2send.top_of_page"></a>shout2send</span></h2>
<p>shout2send — Sends data to an icecast server</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-shout2send.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--description" title="The “description” property">description</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--genre" title="The “genre” property">genre</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--ip" title="The “ip” property">ip</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--mount" title="The “mount” property">mount</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--password" title="The “password” property">password</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--port" title="The “port” property">port</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><span class="type">GstShout2SendProtocol</span></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--protocol" title="The “protocol” property">protocol</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--streamname" title="The “streamname” property">streamname</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--sync" title="The “sync” property">sync</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--url" title="The “url” property">url</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--username" title="The “username” property">username</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send--public" title="The “public” property">public</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-shout2send.signals"></a><h2>Signals</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send-connection-problem" title="The “connection-problem” signal">connection-problem</a></td>
<td class="signal_flags">Cleanup</td>
</tr></tbody>
</table></div>
</div>
<a name="GstShout2send"></a><div class="refsect1">
<a name="gst-plugins-good-plugins-shout2send.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send-struct" title="struct GstShout2send">GstShout2send</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-shout2send.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstObject.html">GstObject</a>
            <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstElement.html">GstElement</a>
                <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer-libs/html/GstBaseSink.html">GstBaseSink</a>
                    <span class="lineart">╰──</span> GstShout2send
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-shout2send.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GstShout2send implements
 <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstTagSetter.html">GstTagSetter</a>.</p>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-shout2send.description"></a><h2>Description</h2>
<div class="refsynopsisdiv">
<h2>Synopsis</h2>
<div class="refsect2">
<a name="id-1.2.138.9.2.1"></a><h3>Element Information</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">plugin</span></p></td>
<td>
            <a class="link" href="gst-plugins-good-plugins-plugin-shout2send.html#plugin-shout2send">shout2send</a>
          </td>
</tr>
<tr>
<td><p><span class="term">author</span></p></td>
<td>Wim Taymans &lt;wim.taymans@chello.be&gt;, Pedro Corte-Real &lt;typo@netcabo.pt&gt;, Zaheer Abbas Merali &lt;zaheerabbas at merali dot org&gt;</td>
</tr>
<tr>
<td><p><span class="term">class</span></p></td>
<td>Sink/Network</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="id-1.2.138.9.2.2"></a><h3>Element Pads</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>application/ogg</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/ogg</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/ogg</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/webm</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/webm</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-shout2send.functions_details"></a><h2>Functions</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-shout2send.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstShout2send-struct"></a><h3>struct GstShout2send</h3>
<pre class="programlisting">struct GstShout2send;</pre>
<p>
</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-shout2send.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GstShout2send--description"></a><h3>The <code class="literal">“description”</code> property</h3>
<pre class="programlisting">  “description”              <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>description.</p>
<p>Flags: Read / Write</p>
<p>Default value: ""</p>
</div>
<hr>
<div class="refsect2">
<a name="GstShout2send--genre"></a><h3>The <code class="literal">“genre”</code> property</h3>
<pre class="programlisting">  “genre”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>genre.</p>
<p>Flags: Read / Write</p>
<p>Default value: ""</p>
</div>
<hr>
<div class="refsect2">
<a name="GstShout2send--ip"></a><h3>The <code class="literal">“ip”</code> property</h3>
<pre class="programlisting">  “ip”                       <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>IP address or hostname.</p>
<p>Flags: Read / Write</p>
<p>Default value: "127.0.0.1"</p>
</div>
<hr>
<div class="refsect2">
<a name="GstShout2send--mount"></a><h3>The <code class="literal">“mount”</code> property</h3>
<pre class="programlisting">  “mount”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>mount.</p>
<p>Flags: Read / Write</p>
<p>Default value: ""</p>
</div>
<hr>
<div class="refsect2">
<a name="GstShout2send--password"></a><h3>The <code class="literal">“password”</code> property</h3>
<pre class="programlisting">  “password”                 <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>password.</p>
<p>Flags: Read / Write</p>
<p>Default value: "hackme"</p>
</div>
<hr>
<div class="refsect2">
<a name="GstShout2send--port"></a><h3>The <code class="literal">“port”</code> property</h3>
<pre class="programlisting">  “port”                     <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>port.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [1,65535]</p>
<p>Default value: 8000</p>
</div>
<hr>
<div class="refsect2">
<a name="GstShout2send--protocol"></a><h3>The <code class="literal">“protocol”</code> property</h3>
<pre class="programlisting">  “protocol”                 <span class="type">GstShout2SendProtocol</span></pre>
<p>Connection Protocol to use.</p>
<p>Flags: Read / Write</p>
<p>Default value: Http Protocol (icecast 2.x)</p>
</div>
<hr>
<div class="refsect2">
<a name="GstShout2send--streamname"></a><h3>The <code class="literal">“streamname”</code> property</h3>
<pre class="programlisting">  “streamname”               <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>name of the stream.</p>
<p>Flags: Read / Write</p>
<p>Default value: ""</p>
</div>
<hr>
<div class="refsect2">
<a name="GstShout2send--sync"></a><h3>The <code class="literal">“sync”</code> property</h3>
<pre class="programlisting">  “sync”                     <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Sync on the clock.</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstShout2send--url"></a><h3>The <code class="literal">“url”</code> property</h3>
<pre class="programlisting">  “url”                      <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>the stream's homepage URL.</p>
<p>Flags: Read / Write</p>
<p>Default value: ""</p>
</div>
<hr>
<div class="refsect2">
<a name="GstShout2send--username"></a><h3>The <code class="literal">“username”</code> property</h3>
<pre class="programlisting">  “username”                 <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>username.</p>
<p>Flags: Read / Write</p>
<p>Default value: "source"</p>
</div>
<hr>
<div class="refsect2">
<a name="GstShout2send--public"></a><h3>The <code class="literal">“public”</code> property</h3>
<pre class="programlisting">  “public”                   <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>If the stream should be listed on the server's stream directory.</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-shout2send.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GstShout2send-connection-problem"></a><h3>The <code class="literal">“connection-problem”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="gst-plugins-good-plugins-shout2send.html#GstShout2send"><span class="type">GstShout2send</span></a> *gstshout2send,
               <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a>           arg1,
               <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>       user_data)</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.138.13.2.5"></a><h4>Parameters</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gstshout2send</p></td>
<td class="parameter_description"><p>the object which received the signal.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: Cleanup</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>